Subject: Re: 26.1; Tetris score is no longer updated due to commit 995be66f0f0d26d1a96cbb8dfb429c3941157771

From: Tadeus Prastowo <[email-masked]>
Date: Sun, 31 Mar 2019 21:41:20 +0200

On Sun, Mar 31, 2019 at 5:32 AM Paul Eggert <[email-masked]> wrote:
>
> Apparently the problem is that there are two formats of Tetris game-score files.
> One format is used by play/gamegrid.el itself, the other is used by the
> update-game-score command. I didn't know that; I thought that the only reason to
> use update-game-score was to get setuid/setgid permissions, and that the file
> format didn't change.

Perhaps you need to make a test unit to ensure there is no regression
in the future.

> To some extent the file-format problem is Just One Of Those Things: if up
> upgrade Emacs and it changes the file format, Emacs is not smart enough to deal
> with the format change and so it loses your old Tetris scores.
>
> That being said, Emacs could try harder to use the update-game-score program if
> it's installed. Is it in your installation? If so, please try the attached
> patch. If not, please try redoing 'configure' so that update-game-score is built
> and installed, and then try the attached patch.

I apply your patch to Emacs 26.1 source
(http://ftp.gnu.org/gnu/emacs/emacs-26.1.tar.xz), and run the
following configure command:
configure --prefix=/mnt/core/Codebases/installzone/emacs
--with-xwidgets --disable-silent-rules --with-gameuser=yes
And, then the following make command:
make
make install

I played Tetris, scoring higher than the lowest recorded in my high
score file, and I confirm that your patch allows the score to be
recorded after year 2018 went by without any new record due to the bug
introduced by commit 995be66f0f0d26d1a96cbb8dfb429c3941157771.

> I suppose it would be possible to do more-serious hacking in gamegrid.el to deal
> with the incompatible file formats (convert formats back and forth, say), but
> that would be beyond my call of duty.

I like your patch: if it ain't broken, don't fix it, dude ;)

--
Best regards,
Tadeus